summaryrefslogtreecommitdiff
path: root/tests/fsck-tests/013-extent-tree-rebuild/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/fsck-tests/013-extent-tree-rebuild/test.sh')
-rwxr-xr-xtests/fsck-tests/013-extent-tree-rebuild/test.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/tests/fsck-tests/013-extent-tree-rebuild/test.sh b/tests/fsck-tests/013-extent-tree-rebuild/test.sh
index 0542c279..cde97db3 100755
--- a/tests/fsck-tests/013-extent-tree-rebuild/test.sh
+++ b/tests/fsck-tests/013-extent-tree-rebuild/test.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-source $top/tests/common
+source $TOP/tests/common
if [ -z $TEST_DEV ]; then
echo " [NOTRUN] extent tree rebuild, need TEST_DEV variant"
@@ -16,32 +16,32 @@ fi
test_extent_tree_rebuild()
{
echo " [TEST] extent tree rebuild"
- $top/mkfs.btrfs -f $TEST_DEV >> /dev/null 2>&1 || _fail "fail to mkfs"
+ $TOP/mkfs.btrfs -f $TEST_DEV >> /dev/null 2>&1 || _fail "fail to mkfs"
run_check mount $TEST_DEV $TEST_MNT
cp -aR /lib/modules/`uname -r`/ $TEST_MNT 2>&1
for i in `seq 1 100`;do
- $top/btrfs sub snapshot $TEST_MNT \
+ $TOP/btrfs sub snapshot $TEST_MNT \
$TEST_MNT/snapaaaaaaa_$i >& /dev/null
done
run_check umount $TEST_DEV
# get extent root bytenr
- extent_root_bytenr=`$top/btrfs-debug-tree -r $TEST_DEV | \
+ extent_root_bytenr=`$TOP/btrfs-debug-tree -r $TEST_DEV | \
grep extent | awk '{print $7}'`
if [ -z $extent_root_bytenr ];then
_fail "fail to get extent root bytenr"
fi
# corrupt extent root node block
- run_check $top/btrfs-corrupt-block -l $extent_root_bytenr \
+ run_check $TOP/btrfs-corrupt-block -l $extent_root_bytenr \
-b 4096 $TEST_DEV
- $top/btrfs check $TEST_DEV >& /dev/null && \
+ $TOP/btrfs check $TEST_DEV >& /dev/null && \
_fail "btrfs check should detect failure"
- run_check $top/btrfs check --init-extent-tree $TEST_DEV
- run_check $top/btrfs check $TEST_DEV
+ run_check $TOP/btrfs check --init-extent-tree $TEST_DEV
+ run_check $TOP/btrfs check $TEST_DEV
}
test_extent_tree_rebuild